std::random_device::max(3)

NAME
std::random_device::max - std::random_device::max

Synopsis
   static constexpr result_type max(); (since C++11)
   Returns the maximum value potentially generated by the random-number engine. This
   value is equal to std::numeric_limits<unsigned int>::max().

Parameters
   (none)

Return value
   The maximum potentially generated value.

Complexity
   Constant

See also
   min gets the smallest possible value in the output range
   [static] (C++11) (public static member function)